
% This script calls the functions required to fully analyze the data output
% from Python - cypinOverexpression.py and cypinOverexpressionIO.py. See
% the individual functions called here for more detailed information. These
% analyses were performed for Rodriguez, et al., Cytosolic PSD-95 
% Interactor Regulates AMPA Receptor Signaling Independent of PSD-95 
% Binding. Network Neurosci, 2020.

% The functions called here were written by Erin D. Anderson and Nicholas 
% F. Vigilante and can be accessed at https://www.seas.upenn.edu/~molneuro/

%% cypin overexpression analysis
folderName = uigetdir; % folder where cypin OE data is stored
overwrite = false; % whether to overwrite data structs in simulation mat 
                   % files, like if the analysis functions changed

spikeAnalysisNorm = cypinOverexpressionSpikeAnalysis(folderName,overwrite); % for fig 10
networkAnalysisNorm = cypinOverexpressionNetworkAnalysis(folderName,overwrite); % for fig 11

%% cypin overexpression stimulated (IO) analysis
folderNameIO = uigetdir; % folder where cypin OE STIMULATED data is stored
overwrite = false; % whether to overwrite data structs in simulation mat 
                   % files, like if the analysis functions changed
                   
spikeAnalysisIONorm = cypinOverexpressionIOSpikeAnalysis(folderNameIO,overwrite); % for fig 12
networkAnalysisIONorm = cypinOverexpressionIOSpikeAnalysis(folderNameIO,overwrite); % for fig 13
