function [FF] = fanoFactor(spiketimes,SimTimeInSeconds,StabilizationTime)
% Function by EA, developed based on Ana Rodriguez's 2016 Thesis from
% Bonnie Firestein's Lab at Rutgers (p39-40).

% Inputs the spiketimes, length of recording/simulation, and the
% stabilization time to omit on the front end, and returns the Fano Factor

interval = 10; % [s] (binsize)
nWindows = SimTimeInSeconds/interval; % divide into 10 second intervals
nSpikes = NaN(nWindows,1);

for ii = 1:nWindows
    nSpikes(ii) = sum(spiketimes > ((ii-1)*interval + StabilizationTime) & ...
        spiketimes <= ((ii)*interval + StabilizationTime)); % count spikes in that interval after StabilizationTime
end

FF = var(nSpikes)/mean(nSpikes); % Fano Factor is the ratio of the sample
                                 % variance to the sample mean

end