
% This function takes in a weighted, undirected NxN functional connectivity
% matrix, and returns the global efficiency, the number of communities
% found in the matrix, and the community statistic Q (modularity) for the
% matrix.

% efficiency_wei, community_louvain come from the Brain Connectivity
% Toolbox - more information can be found at: 
% https://sites.google.com/site/bctnet/

function [GE,nCommunities,Q] = networkAnalysis(FC)

    GE = efficiency_wei(FC); % switch to efficiency_bin for binary instead of weighted
    [communityAssignment,Q] = community_louvain(FC,1,[],'modularity'); % gamma = 1 for classic modularity; 
                                                % M0 = [] for no initial community assignment;
                                                % B = 'modularity'
    nCommunities = length(unique(communityAssignment));

end